/*
 * EuchrePanel.java
 *
 * Gary Givental
 * John Gotts
 * Saul Rodriguez
 *
 * EECS 481
 *
 * Revision History:
 *
 * 09/09/97 - original implementation.
 *
 */

import java.awt.*;
import java.awt.event.*;

/**
 * Implements a euchre panel.
 *
 * @version     1.0
 * @author      Gary Givental
 * @author      John Gotts
 * @author      Saul Rodriguez
 */
public class EuchrePanel extends Panel implements MouseListener {

protected Dimension dimension;
protected GUI gui;
protected Card activeCard = null;

public EuchrePanel (GUI gui, Dimension dimension) {

	super();
	this.gui=gui;
	this.dimension = dimension;
}

public void setDimension (Dimension dimension) {

	this.dimension = dimension;
}

public Dimension getPreferredSize () {

	return dimension;
}

public Dimension getMaximumSize () {

	return this.getPreferredSize();
}

public Dimension getMinimumSize () {

	return this.getPreferredSize();
}
  


public void mousePressed(MouseEvent event)
  {
    // don't need
  } 

public void mouseReleased(MouseEvent event) 
  {
    // don't need
  }

public void mouseEntered(MouseEvent event) 
  {
    // don't need
  }

public void mouseExited(MouseEvent event) 
  {
    // don't need
  }

public void mouseClicked(MouseEvent event)
  {
    Object source = event.getSource();
    Card card=null;

    if (source instanceof Card)
    {
	card = (Card) source;
        gui.setActiveCard(card);
    }
  }

}
