/*
 * NameDialog.java
 *
 * Gary Givental
 * John Gotts
 * Saul Rodriguez
 *
 * EECS 481
 *
 * Revision History:
 *
 * 12/05/97 - last modification.
 *
 */

import java.awt.*;
import java.awt.event.*;

public class NameDialog extends CenteredDialog implements ActionListener
{

	protected TextField name;
	protected String nameValue=null;
	protected Panel p;
	protected Button button;
	protected GUI gui;
	
	public NameDialog(GUI gui)
	{
		super(gui, "Player Name", true);
		this.gui=gui;
		 
		setLayout(new GridLayout(4,1));
		
		add(new Label("What's your name?"));
				
		name=new TextField("",15);
		name.addActionListener(this);
		add(name);
		
		add(new Separator(this));
		
		p=new Panel();
		button=new Button("OK");
		button.addActionListener(this);
		p.add(button);
		
		add(p);
		
		pack();
	}
	
/**
 * Handles user input.
 *
 * @param event the event.
 */
	public void actionPerformed(ActionEvent event)
	{
    Button button;
    

    Object source = event.getSource();
    if (source instanceof Button)
      {
				button=(Button)source;
				if (button.getLabel().compareTo("OK") ==0)
	  			nameValue=name.getText();

	  		dispose();
  	  }
  	else if(source instanceof TextField)
  		{
  			nameValue=name.getText();
  			dispose();
  		}
   }
    
    
    
 public String getName()
 {
 	return nameValue;
 }

} // end of class


